#This method checks if n, m, p and q are a valid solution to the dividing problem
def check(n,m,p,q):
    fl = m * p / (pow(q,n) - pow(q-p,n))
    if not fl.is_integer():
        return False
    return True
    
#Read the input
n = int(input())
m = int(input())
found = False
q = 1

#We want to find the smallest q, so we start working from q=1 upwards.
while not found:
    q += 1
    #We then want to find the smallest p with this q, so start working upwards from that
    for p in range(1,q):
        #We check if these variables make into a valid solution
        correct = check(n,m,p,q)
        if correct:
            #if so, we want to break out of our for-loop, to insure we have the smallest p
            #putting found at true then implies that we will also not go again into the while loop
            found = True
            break
        
#print our solutions
print(p)
print(q)
